# Data network default

A decision block that checks the capabilities of the default data network.

If the proceed option is set to Immediately, then check that the currently default network has the capabilities without pausing the fiber. If set to When changed, then the fiber will pause until the default network has gained the capabilities, lost the capabilities or changed to another network.

The YES path is executed if the network use any of the interfaces and have all of the capabilities, otherwise the NO path is executed.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network interfaces — the network interfaces the default data network should use, default is any.
- Network capabilities — all of the capabilities the default data network must have, default is none.

## Output variables

- IP addresses — variable to assign an array with the IPv4 and IPv6 addresses of the device on the network, or `null` if unavailable.
- Interface name — variable to assign the name of the network interface, or `null` if unavailable.
- Download link speed — variable to assign the estimated first hop download bandwidth in bits per second, or `null` if unavailable
- Upload link speed — variable to assign the estimated first hop upload bandwidth in bits per second, or `null` if unavailable